ORIGTARGZ.FR(1)

NOM
origtargz - Récupérer l'archive amont d'un paquet Debian depuis divers sources, et la dépaqueter

SYNOPSIS

origtargz [options] [--unpack[=no|once|yes]]
origtargz --help

DESCRIPTION
origtargz télécharge l'archive amont (orig) d'un paquet Debian et la dépaquette aussi dans le répertoire actuel s'il contient seulement un répertoire debian. L'utilisation principale d'origtargz est avec les dépôts ne contenant que le répertoire debian, mais il est aussi utile comme enveloppe générale de téléchargement d'archive. Le numéro de version de l'archive à télécharger est déterminé par debian/changelog. Il devrait être appelé depuis le répertoire de premier niveau d'un paquet source Debian non dépaqueté.

Plusieurs emplacements de téléchargement sont essayés :

•   D'abord, un fichier existant est recherché.

•   Les répertoires donnés avec --path sont explorés .

•   pristine-tar est essayé .

•   pristine-tar est essayé.

•   apt-get source est essayé si apt-cache showsrc indique une version correspondante.

•   Enfin, uscan --download --download-current-version est essayé.

Lorsqu'une archive amont doit être dépaquetée, origtargz retirera tous les fichiers et répertoires du répertoire actuel sauf le répertoire debian et les répertoires du dépôt de système de contrôle de versions. Remarquez que toutes les modifications non prises en compte (committed) seront effacées du système de correctifs utilisé (par exemple au format source "3.0 (quilt)") et que tous les correctifs seront retirés du paquet si aucun système n'est utilisé (pour le format source d'origine "1.0"). Certains fichiers du système de contrôle de versions, hors de debian/, sont conservés (.bzr-builddeb, .bzr-ignore, .gitignore ou .hgignore) s'ils sont gardés dans le système de contrôle de versions.

Le comportement par défaut est de dépaqueter l'archive amont si le répertoire courant est vide sauf le répertoire debian et les fichiers du système de contrôle de versions mentionnés plus haut.

NOTES
Malgré son nom, origtargz fonctionne avec n'importe quel format de compression utilisé pour l'archive amont.

Un outil similaire pour dépaqueter les archives amont est uupdate(1). uupdate crée un nouveau répertoire de travail, dépaquette l'archive et applique les modifications Debian .diff.gz. De son côté, origtargz utilise le répertoire actuel, en gardant les métadonnées du système de gestion de versions.

Pour les dépôts de paquet Debian gardant l'intégralité des sources amont, d'autres outils devraient être utilisés pour mettre à niveau le dépôt à partir de l'archive amont. Consultez par exemple gbp-import-orig(1) et svn-upgrade(1). origtargz est toujours utile pour télécharger l'archive amont actuelle.

OPTIONS

-p, --path répertoire
    Ajouter répertoire à la liste des emplacements pour chercher une archive amont. Une fois trouvé, un lien matériel est créé si possible, un lien symbolique sinon.

-u, --unpack[=no|once|yes]
    Dépaqueter l'archive amont téléchargée dans le répertoire actuel, en remplaçant tout sauf le répertoire debian. Les fichiers existants sont supprimés, sauf le répertoire debian et les fichiers du système de contrôle de versions. Sont gardés : .bzr, .bzrignore, .bzr-builddeb, .git, .gitignore, .hg, .hgignore, _darcs et .svn.

    no  Ne pas dépaqueter l'archive amont.

    once (par défaut si --unpack n'est pas utilisé)
        Si le répertoire actuel ne contient qu'un répertoire debian (et éventuellement quelques fichiers .*), dépaqueter l'archive amont. C'est le comportement par défaut.

    yes (par défaut si --unpack est utilisé sans paramètre)
        Toujours dépaqueter l'archive amont.

-d, --download-only
    Identique à --unpack=no.

-t, --tar-only
    En utilisant apt-get source, lui passer --tar-only. L'action par défaut est de télécharger le paquet source complet, y compris les composants .dsc et .diff.gz ou .debian.tar.gz pour que debdiff puisse être utilisé pour comparer le dernier envoi au prochain. Avec --tar-only, seul le fichier .orig.tar.* est téléchargé.

--clean
    Supprimer les fichiers existants comme avec --unpack. Remarquez que comme --unpack, cela supprimera les fichiers amonts même s'ils sont stockés dans un système de contrôle de versions.

VOIR AUSSI
debcheckout(1), gbp-import-orig(1), pristine-tar(1), svn-upgrade(1), uupdate(1)

AUTEUR
origtargz et cette page de manuel ont été écrits par Christoph Berg <myon@debian.org>.

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021